Skip to content
Hockay API
Esc
↑↓navigate↵open⌘Jpreview

JM's commentary

GET/games/{id}/commentary
Authorization
x-api-keyAPI key · headerrequired
Path parameters
idstringrequired

Game id

Responses
200

OK

dataCommentaryrequired
Show properties
preGamestringrequired
period1stringrequired
period2stringrequired
period3stringrequired
postGamestringrequired
304

Not modified (If-None-Match matched the ETag)

401

Missing, unknown, revoked, or expired key

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
403

This account cannot use this key class

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
404

Not found (or not public yet)

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
409

The game is not final yet

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
429

Rate limited; retry after the Retry-After seconds

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://hockay.com/api/v1/games/string/commentary' \
  -H 'x-api-key: YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "preGame": "string",
    "period1": "string",
    "period2": "string",
    "period3": "string",
    "postGame": "string"
  }
}

Was this page helpful?